aspose file tools*
The moose likes IDEs, Version Control and other tools and the fly likes How to overcome this situation ? Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of The Java EE 7 Tutorial Volume 1 or Volume 2 this week in the Java EE forum
or jQuery UI in Action in the JavaScript forum!
JavaRanch » Java Forums » Engineering » IDEs, Version Control and other tools
Bookmark "How to overcome this situation ?" Watch "How to overcome this situation ?" New topic
Author

How to overcome this situation ?

Hussein Baghdadi
clojure forum advocate
Bartender

Joined: Nov 08, 2003
Posts: 3479

Hey friends.
I am newbie in eclipse and I need some help...
I want to use the VEP plugin, according to eclipse.org, VEP requires EMF 1.1.1 and GEF 2.1.2
but the current release of EMF is 2.0.1 and the current release of GEF is 3.0
Can I use VEP with the new releases of EMF and GEF or it will complains ?
the problem is lomboz3 requires EMF 2.0 and VEP requires EMF 1.1.1 and both plugins are vital to me (I can't get rid of one of them).
(I have Eclipse 3.0 stable)
every response is appreciated.
thanks.
Lasse Koskela
author
Sheriff

Joined: Jan 23, 2002
Posts: 11962
    
    5
How about just trying different combinations? (starting from "the latest version of each library")


Author of Test Driven (2007) and Effective Unit Testing (2013) [Blog] [HowToAskQuestionsOnJavaRanch]
Hussein Baghdadi
clojure forum advocate
Bartender

Joined: Nov 08, 2003
Posts: 3479

Thanks alot.
but I have 2 questions :
1. after extracting the plugin, I found a folder called plugins, which in turn, contains more than 20 dirs (like org.eclipse.emf...)
how to install this plugins :
- by putting the whole plugins (which contains these 20 dirs) dir under eclipse's plugins dir ?
- by putting these 20 dirs under eclipse's plugins dir directly ?
2. how could I know if the combinations of the plugins is wrong ?
a dialog or eclipse not run..
thanks again.
Lasse Koskela
author
Sheriff

Joined: Jan 23, 2002
Posts: 11962
    
    5
Originally posted by John Todd:
1. after extracting the plugin, I found a folder called plugins, which in turn, contains more than 20 dirs (like org.eclipse.emf...)
how to install this plugins :
- by putting the whole plugins (which contains these 20 dirs) dir under eclipse's plugins dir ?
- by putting these 20 dirs under eclipse's plugins dir directly ?
The second. I.e. the end result should look like this:


Originally posted by John Todd:
2. how could I know if the combinations of the plugins is wrong ?
a dialog or eclipse not run..

By trying. If Eclipse won't launch or otherwise behaves different from what you would like it to, then the combination isn't working.
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: How to overcome this situation ?